#ifndef XASSET_H
#define XASSET_H

#include <QDataStream>

class XAsset
{
public:
    XAsset();
    virtual ~XAsset();

    void SetPtr(qint32 aPtr);
    qint32 GetPtr();

    virtual void Clear();
    virtual void ParsePtr(QDataStream *aStream, bool aDataFlag = true);
    virtual void ParseData(QDataStream *aStream) = 0;

private:
    qint32 mPtr;
};

#endif // XASSET_H
